# Package gnu.io

Interface Summary
Interface | Description
--- | ---
CommDriver |
CommPortOwnershipListener |
I2CPortEventListener |
ParallelPortEventListener |
RawPortEventListener |
RS485PortEventListener |
SerialPortEventListener |

Class Summary
Class | Description
--- | ---
CommPort | CommPort
CommPortIdentifier |
I2CPortEvent |
ParallelPort |
ParallelPortEvent |
RawPortEvent |
RS485PortEvent |
RXTXCommDriver | This is the JavaComm for Linux driver.
RXTXPort | An extension of gnu.io.SerialPort
RXTXVersion | A class to keep the current version in
SerialPort |
SerialPortEvent |
Zystem |

Exception Summary
Exception | Description
--- | ---
NoSuchPortException | The requested Port does not exist
PortInUseException | The port requested is currently in use
UnsupportedCommOperationException | Exception thrown when a method does not support the requested functionality.
UnSupportedLoggerException | Exception thrown when a method does not support the requested functionality.